# BEGIN SourceDeps(oneline):
BuildRequires: perl(Device/Modbus.pm) perl(Device/SerialPort.pm) perl(ExtUtils/MakeMaker.pm) perl(Role/Tiny.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Device-Modbus-ASCII
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006
Release: alt1
Summary: Modbus ASCII communications for Perl
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JF/JFRAIRE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution implements the Modbus ASCII protocol on top of the Device::Modbus manpage. It includes only a client, the Device::Modbus::ASCII::Client manpage, which is based on the Device::Modbus::Client manpage. See this last module for the core of the documentation.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
* Fri Dec 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.006-alt1
- initial import by package builder

